Java drivers

Driver compatibility tables for Java drivers.

DataStax Java Driver for Apache Cassandra™

Note: Earlier versions of DataStax Cassandra drivers did not have full support of DSE features.

Icon legend

Driver version Apache Cassandra version DataStax Enterprise version DataStax Astra
Version 3.0+ 2.2 2.1 6.8 6.7 6.0 5.1 5.0 Cloud
4.5+
4.4 1
4.3 1 1 1 1 1
4.0+ 1 1 1 1 1
3.8+ 1 1 1 1 1
3.0+ 1 1 1 1 1
2.1 2 3 3 2 2 2 2 2

1Earlier versions of DataStax Cassandra drivers did not have full support of DSE features.

2Incompatible with Cassandra 3.0+ and DSE 5.0+; although it can execute requests, metadata is broken.

3Limited to the Cassandra 2.1 API.

DataStax Enterprise Java Driver

Note: DSE driver functionality has been merged, and is now developed in the open source DataStax drivers above.

Icon legend

Driver version DataStax Enterprise version DataStax Astra
Version 6.8 6.7 6.0 5.1 5.0 Cloud
2.3+ 6
2.0+ 6
1.9 6
1.6+ 6
1.2+ 4 4 4
1.1 5 5 5 5

4Limited to DSE 5.1 API.

5Limited to DSE 5.0 API.

6The latest DSE 2.3 and 1.9 Java drivers partially work with DSE 6.8, but DSE 6.8 Graph features will not be available.